- name: bootstrap monitoring server
  hosts: loki
  vars:
    loki_server: 127.0.0.1
  roles:
    - deploy_etc_hosts
    - fahcsim.grafana_stack.loki
    - fahcsim.grafana_stack.promtail
    - fahcsim.grafana_stack.prometheus
    - fahcsim.grafana_stack.prometheus_alert_manager
    - update_loki_conf
    - update_prometheus_conf
    - role: restart_service
      vars:
        service: loki
    - role: restart_service
      vars:
        service: prometheus
    - role: stop_service
      vars:
        service: promtail
    - role: start_service
      vars:
        service: promtail